import { ErisContext } from "./mod.ts";
import { omitUndef } from "../utils/omitUndef.ts";
import { botDescription } from "./mod.ts"; // Import the description

export async function helpCommand(ctx: ErisContext) {
  await ctx.reply(
    botDescription, // Send the stored description
    omitUndef({
      reply_to_message_id: ctx.message?.message_id,
      allow_sending_without_reply: true,
      disable_web_page_preview: true, // Disable link previews
      parse_mode: "Markdown"
    }),
  );
}